package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.bopdecbo.Dba;
import com.brilliance.isc.bo.bopdecbo.Dbd;
import com.brilliance.isc.bo.bopdecbo.Dbg;
import com.brilliance.isc.bo.bopdecbo.Dbr;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dbdgrp extends AbstractCommonVo {
    // 非居民机构账号间境内划转资金状态
    String isyesc = NULLSTR;
    // oldact
    String oldact = NULLSTR;
    Dbd bas;
    Dbr vrf;

    @Override
    public void reset() {
        if(bas == null){
            bas = new Dbd();
        }
        if(vrf == null){
            vrf = new Dbr();
        }
    }
}
